Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathSmoothCurvetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothCurvetoRel:
[legend]
Collaboration diagram for Magick::PathSmoothCurvetoRel:
[legend]

## Public Member Functions
| PathSmoothCurvetoRel (const Coordinate &coordinates_)
| PathSmoothCurvetoRel (const CoordinateList &coordinates_)
| PathSmoothCurvetoRel (const PathSmoothCurvetoRel &original_)
| ~PathSmoothCurvetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2713 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathSmoothCurvetoRel() [1/3]

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const Coordinate & | coordinates_ | ) |

Definition at line 2078 of file Drawable.cpp.

## ◆ PathSmoothCurvetoRel() [2/3]

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2083 of file Drawable.cpp.

## ◆ PathSmoothCurvetoRel() [3/3]

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const PathSmoothCurvetoRel & | original_ | ) |

Definition at line 2088 of file Drawable.cpp.

## ◆ ~PathSmoothCurvetoRel()

Magick::PathSmoothCurvetoRel::~PathSmoothCurvetoRel | ( | void |  | ) |

Definition at line 2093 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathSmoothCurvetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2110 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathSmoothCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2097 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp